app.factory('utilizadorFactory', function ($http) {
    var url = '../api/utilizador/';
    var url_perfil = '../api/perfil';
    return {
        getUtilizadores: function () {
            return $http.get(url);
        },
        getPerfis: function () {
            return $http.get(url_perfil);
        },
        addUtilizador: function (ut) {


            return $http.post(url, ut);

        },
        addUtilizador: function (ut) {


            return $http({
                cache: false,
                url: url,
                method: "POST",
                data: ut

            })
        },
        deleteUtilizador: function (ut) {

            return $http.delete(url + ut.PK_Utilizador);
        },
        updateUtilizador: function (ut) {

            return $http.put(url + ut.PK_Utilizador, ut);
        },

    };
});